From: Ondrej Jirman <megous@megous.com>
Date: Fri, 4 Feb 2022 02:29:03 +0100
Subject: arm64: dts: rk3399-pinephone-pro: Don't allow usb2 phy driver to
 update USB role

Signed-off-by: Ondrej Jirman <megous@megous.com>
---
 arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts b/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
index dd4233b..6d1b02a 100644
--- a/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
+++ b/arch/arm64/boot/dts/rockchip/rk3399-pinephone-pro.dts
@@ -1279,6 +1279,7 @@ &tsadc {
 &u2phy0 {
 	status = "okay";
 	extcon = <&typec_extcon_bridge>;
+	extcon,ignore-usb;
 
 	port {
 		u2phy0_typec_hs: endpoint {
